<div class="progress-info-container">
  <span class="progress-info-text"
    >Status: {{ process }} {{ progress * 100 | number: "1.0-0" }}% completed
  </span>
  <span class="progress-info-text">
    {{
      startTime && progress < 1.0 && progress > 0.0
        ? "estimated time: " + (startTime | estimatedTime: progress)
        : ""
    }}
  </span>
  <mat-progress-bar
    mode="determinate"
    [value]="progress * 100"
  ></mat-progress-bar>
</div>
